Устранение неисправности, из-за которой программа Avast Antivirus продолжает сообщать об устаревшей версии ПО Java

Компонент Обновление программ, входящий в программу Avast Antivirus, сообщает, что программное обеспечение Java 6 или Java 7 устарело и ваш компьютер уязвим. Если вы попробуете выполнить обновление через интерфейс Avast, то будете направлены на следующую страницу.

Причина этой проблемы — устаревшее программное обеспечение Java 6 или Java 7. Oracle не поддерживает Java 6 с февраля 2013 г. и Java 7 с февраля 2016 г., поэтому мы настоятельно рекомендуем установить последнюю версию Java.

После установки более новой версии Java установщик не удаляет файлы устаревших версий Java 6 или Java 7 автоматически. Это значит, что компонент антивируса Avast «Обновление программ» будет продолжать сообщать об устаревшей версии Java, пока устаревшие файлы не будут удалены или обновлены до поддерживаемой версии Java.

Решение проблем с компонентом «Обновление программ», связанных с устаревшей версией Java

  1. Удалите устаревшую версию Java 6 или Java 7.

    Подробную информацию о том, как это сделать, можно найти на странице сайта Oracle, указанной ниже.
  2. Установите последнюю версию Java.

    Подробную информацию о том, как это сделать, можно найти на странице сайта Oracle, указанной ниже.
Учтите, что некоторым программам Java 6 (или 7) может требоваться для работы. Удаление Java 6 (или 7) может внести изменения в работу этих программ.

Если вам нужно сохранить старую версию Java 6 или Java 7, но вы не хотите получать предложения обновить программу, в настройках можно указать компоненту антивируса Avast «Обновление программ» игнорировать обновления Java 6 (или 7). Но помните: вы делаете это НА СВОЙ СТРАХ И РИСК.

  1. Откройте интерфейс программы Avast и выберите Производительность ▸ Обновление программ.
  2. Щелкните стрелку вниз на панели среды выполнения Java 6 (или 7), чтобы развернуть ее.
  3. Нажмите Игнорировать обновления.

Компонент антивируса Avast «Обновление программ» перестанет предупреждать об уязвимости вашего компьютера из-за устаревшего программного обеспечения Java 6 или Java 7.

  • Avast Premium Security 20.x
  • Avast Free Antivirus 20.x
  • Avast Omni 1.x
  • Avast Premier 19.x
  • Avast Internet Security 19.x
  • Avast Pro Antivirus 19.x
  • Microsoft Windows 10 Home / Pro / Enterprise / Education — 32- или 64-разрядная версия
  • Microsoft Windows 8.1 / Pro / Enterprise — 32- или 64-разрядная версия
  • Microsoft Windows 8 / Pro / Enterprise — 32- или 64-разрядная версия
  • Microsoft Windows 7 Home Basic / Home Premium / Professional / Enterprise / Ultimate — SP 1, 32- или 64-разрядная версия

Была ли эта статья для вас полезной?

Yes No

Нужна дополнительная помощь?

Свяжитесь с нами